Support » Plugin: Admin Global Search » Array argument error

  • My PHP logs are showing many instances of this error: “Warning: array_merge(): Argument #2 is not an array /MY/WORDPRESS/PATH/wp-content/plugins/admin-global-search/index.php on line 50”

    So I changed the following code at line 50 of the plugin’s index.php…

    $aVars = $aOpts ? array_merge($aParams,$aOpts) : $aParams;

    …to…

    $aVars = is_array($aOpts) ? array_merge($aParams,$aOpts) : $aParams;

    That seems to have cleared it up, so feel free to use this in the next plugin update! (hopefully soon)

  • The topic ‘Array argument error’ is closed to new replies.